Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../chunk-BN4qSVkS.cjs");
const require_hooks_useIsomorphicLayoutEffect = require("./useIsomorphicLayoutEffect.cjs");
let react = require("react");
//#region src/hooks/useDocumentTitle.tsx
const useDocumentTitle = (defaultPrefix, title) => {
	require_hooks_useIsomorphicLayoutEffect.useIsomorphicLayoutEffect(() => {
		window.document.title = `${defaultPrefix} - ${title}`;
	}, [title, defaultPrefix]);
	(0, react.useEffect)(() => {
		return () => {
			window.document.title = defaultPrefix;
		};
	}, [defaultPrefix]);
};
//#endregion
exports.useDocumentTitle = useDocumentTitle;
